--- a/configure.ac
+++ b/configure.ac
@@ -2731,7 +2731,14 @@
 
 # Check Bluetooth SBC codec for RTP Player
 # git://git.kernel.org/pub/scm/bluetooth/sbc.git
-PKG_CHECK_MODULES(SBC, sbc >= 1.0, [have_sbc=yes], [have_sbc=no])
+AC_ARG_WITH(sbc,
+    AC_HELP_STRING( [--with-sbc],
+                    [add support for playing SBC]),
+	[if test "x$withval" = "xyes"; then
+        PKG_CHECK_MODULES(SBC, sbc >= 1.0, [have_sbc=yes], [have_sbc=no])
+    else
+        have_sbc=no
+    fi])
 if (test "${have_sbc}" = "yes"); then
     AC_DEFINE(HAVE_SBC, 1, [Define to support playing SBC by standalone BlueZ SBC library])
     CFLAGS="$CFLAGS $(pkg-config sbc --cflags)"
